#
#  Trumpet Winsock login script for the IDS World Network.
#  Written by Bob Fayne - support@ids.net - (800) IDS-1680 x 11.
#  Copyright (c) 1995 InteleCom Data Systems - all rights reserved.
#
#  This requires v2.0b (or higher) of Trumpet Winsock.
#
#
# set up some strings for dialling up in case setup.cmd
# wasn't run
#
if ![load $number]
  if [query $number "Please enter your local IDS dialup number"]
    save $number
  end
end
#
$modemsetup = "&C1E1Q0S2=43M1L2"
#
%attempts = 99
#
#----------------------------------------------------------
#
# initialize modem
#
display \n
display "Now connecting you to the IDS World Network."\n
display "Please stand by..."\n
display \n
#
output "atz"\13
if ! [input 10 OK\n]
  display "Modem is not responding."\n
  abort
end
#
# setup our modem commands
#
output "at"$modemsetup\13
input 10 OK\n
#
# send phone number
#
%n = 0
repeat
  %n = %n + 1
  if %n >= %attempts
        display "Too many dial attempts."\n
        abort
  end
  outputecho 30 "atdt"$number\r
  %timeout = [read 70 $result]
  if ! %timeout
    display "Dial up timed out."\n
    abort
  end
sleep 1
until $result >= "CONNECT"
#
#  wait till it's safe to send because some modem's hang up
#  if you transmit during the connection phase
#
wait 30 dcd
#
# now prod the terminal server
#
display \n
display \n
display "--> Connected.  Your IP address will be set automatically in a few seconds."\n
display "--> Thank you for flying IDS."\n
display \n
#
# now we are finished.
#
