# Use this script to connect with Quantum Networking Solutions
# PPP service.  Supports PPP Only.
# Copyright (C) 1995 Quantum Networking Solutions, Inc.
# Copyright (C) 1993,1994 Peter R Tattam
# All rights reserved.
#

#
# set up some strings for dialing up
#
if ![load $number]
  display \n\n"SYSTEM NOT CONFIGURED -- RUN QUANTUM SETUP"\n
  abort
end
if ![load $username]
  display \n\n"SYSTEM NOT CONFIGURED -- RUN QUANTUM SETUP"\n
  abort
end
if ![load $password]
  if [password "Enter Your Password"]
      save $password
  end
end
if ![load $modeminit]
        $modeminit = "AT s0=0 x4 e0 &c1 &d2"
end

$userprompt = "ogin:"
$passprompt = "word:"
$pppsession = "beginning...."

%attempts = 100
#
#
#----------------------------------------------------------
#
# initialize modem
#

display "Initialzing modem..."\n

output "atz"\13
if ! [input 5 OK\n]
  display "Modem is not responding"\n
  display \n"Please select File->Setup above and make"\n
  display "sure 'SLIP Port' and 'Baud Rate' are set to"\n
  display "your modem's COM port and speed."\n
  abort
end
#
# setup our modem commands
#
output $modeminit\13
input 5 OK\n
#
# send phone number
#

%n = 0
repeat
  if %n = %attempts
    display "Too many dial attempts.  Please try again later."\n
    abort
  end

  display \n"Dialing "$number\n
  display "If number is busy, we will attempt to redial..."\n\n

  output "atdt "$number\13
  %ok = [input 40 CONNECT]
  %n = %n + 1
until %ok

input 10 \n
#
#  wait till it's safe to send because some modems hang up
#  if you transmit during the connection phase
#
# USRobotics "si" modems are brain-damaged (what USR modem isn't
# brain-damaged?) and don't support DCD.  Hopefully removing this
# won't break other "real" modems.
#
# wait 30 dcd
sleep 2

#
# Attempt to keep people from touching things they shouldn't be touching...
#
display \n\n"If you have problems connecting, please do"\n
display     "not change ANY of the configuration options."\n
display     "Contact Quantum's Technical Support for assistance."\n

#
#  wait for the username prompt
#
input 30 $userprompt
output $username\13

#
# and the password
#
input 30 $passprompt
output $password\13

#
# Wait for PPP session login
#
if ! [input 10 $pppsession]
  display \n\n"PPP Login Failed"\n
  display \n"Please select Dialler->setup.cmd and verify"\n
  display "that your local access number, login username,"\n
  display "and login password are set correctly."\n
  display \n"If this does not resolve your problem, contact"\n
  display "Quantum's Technical Support for assistance."\n
  display \n"DO NOT CHANGE ANY OTHER SETTINGS BEFORE CALLING"\n
  display \n"QUANTUM'S TECHNICAL SUPPORT.  THANK YOU."\n
  abort
end

#
# we are now logged in
#

display \n\n"*********************************************"\n
display     "** WELCOME TO QUANTUM NETWORKING SOLUTIONS **"\n
display     "*********************************************"\n\n

display "You may now minimize this window and start Netscape"\n
display "or any other TCP/IP client application."\n\n

display \n"Thank you for choosing Quantum Networking Solutions."

#
# now we are finished.
#
Content-Type: TEXT/PLAIN; charset=US-ASCII; name="bye.cmd"Content-ID: <Pine.OS2.3.91.960216151658.265D@banjo.qnet.com>
Content-Description: 

set dtr off
sleep 1
set dtr on