# Internet Connection (mankato.mn.us) Login.cmd for Trumpet Winsock
#trace on
#
# set up some strings for dialling up
#
if ![load $number]
  if [query $number "Enter the dial-up phone number"]
    save $number
  end
end
if ![load $username]
  if [username "Enter your username"]
    save $username
  end
end
if ![load $password]
  if [password "Enter your password"]
    save $password
  end
end
if ![load $modemreset]
  if [query $modeminit "Enter your modem reset string"]
    save $modemreset
  end
end
if ![load $modemsetup]
  if [query $modemsetup "Enter your modem setup string"]
    save $modemsetup
  end
end
$prompt = "$"
$userprompt = ":"
$passprompt = "Password:"
$slipcmd = "slip"
$addrtarg = "address="
$pppcmd = "ppp"

%attempts = 10
#
#
#----------------------------------------------------------
#
# initialize modem
#
output "at"$modemreset\13
if ! [input 10 OK\n]
  display "Modem is not responding"\n
  abort
end
#
# setup our modem commands
#
output "at"$modemsetup\13
if ! [input 10 OK\n]
  display "Bad modem setup string"\n
  abort
end
#
# send phone number
#
%n = 0
repeat
  if %n = %attempts
    display "Too many dial attempts"\n
    abort
  end
  output "atdt"$number\13
  %ok = [input 60 CONNECT]
  %n = %n + 1
until %ok
input 10 \n
#
#  wait till it's safe to send because some modem's hang up
#  if you transmit during the connection phase
#
wait 30 dcd
#
# now prod the terminal server
#
output \13
#
#  wait for the username prompt
#
input 30 $userprompt
output $username\13
#
# and the password
#
input 30 $passprompt
output $password\13
#
# we are now logged in
#
input 30 $prompt
if %ppp
  #
  # jump into ppp mode
  #
  output $pppcmd\13
  #
  input 30 \n
  #
  display \n
  display *****************************************************************\n
  display * You are connected.\n
  display * Minimize the Trumpet Winsock window to get it out of the way.\n
  display * When you are finished, restore the Trumpet Winsock window,\n
  display * select "Bye" from the "Dialer" menu, then "Exit" from the\n
  display * "File" menu.\n
  display *****************************************************************\n
  display \n
  #
else
  #
  # jump into slip mode
  #
  output $slipcmd\13
  #
  # wait for the address string
  #
  input 30 $addrtarg
  #
  # parse address
  #
  address 30
  input 30 \n
  #
  # we are now connected, logged in and in slip mode.
  #
  display \n
  display *****************************************************************\n
  display * You are connected.  Your IP address is \i.\n
  display * Minimize the Trumpet Winsock window to get it out of the way.\n
  display * When you are finished, restore the Trumpet Winsock window,\n
  display * select "Bye" from the "Dialer" menu, then "Exit" from the\n
  display * "File" menu.\n
  display *****************************************************************\n
  display \n
end
#
# now we are finished.
#

