#	Questar Network Services Login.cmd
#
# Trumpet Winsock login script for QNSnet clients.
# For more information or technical support, please contact:
#       Questar Network Services
#       voice: 405/848-3228
#         fax: 405/843-9434
#        data: 405/843-9395  (300-14,400 bps)   ** login as 'guest',
#        data: 405/843-4857  (2400-28,800 bps)  ** password 'guest'.
#       email: info@qns.com
#
# Author: Christopher Painter-Wakefield (cpwakfld@qns.com)
# Created: 4/19/95
# Revision notes:

# ************* Configuration Information **************

# If you have call waiting, change the zero on the following
# line to a 1.  This will cause Trumpet to send a "*70" in
# front of your phone number to disable call waiting; otherwise
# an incoming call will confuse your modem and disconnect you.
%callwait = 0

# Add any custom modem setup commands to this string.
$modemsetup = "&C1"

# Edit maxbps if you upgrade to a faster modem.
# maxbps: 0 = 14.4, 1 = 28.8
%maxbps = 0

# If QNS phone numbers ever change, edit the phone numbers here.
$n144 = "8439395"
$n288 = "8434857"

$version_t = "QNSnet login script for Trumpet Winsock 2.0b"
$version_s = "Script version 1.0 (4/19/95)"

echo on

# These blocks will cause Trumpet to ask you for your 
# username and password one time only, and save them in your
# trumpwsk.ini file (your password will be encrypted).
if ![load $username]
  if [username "Enter your QNS login username:"]
    save $username
  else
    display \n"Sorry, cannot continue without a username!"\n
    abort
  end
end

if ![load $password]
  if [password "Enter your QNS login password:"]
    save $password
  else
    display \n"Sorry, cannot continue without a password!"\n
    abort
  end
end

if %maxbps
  $numbera = $n288
  $numberb = $n144
else
  $numbera = $n144
  $numberb = $n288
end

if %maxbps
  $ratea = "2400 - 28.8"
  $rateb = "300 - 14.4"
else
  $ratea = "300 - 14.4"
  $rateb = "2400 - 28.8"
end

# ************ Login *************
display \n$version_t\n
display $version_s\n\n

%attempts = 5

# Initialize modem
output "ATZ"\13
if ! [input 10 OK\n]
  display \n"Modem is not responding!"\n
  abort
end

# Setup our modem
output "AT"$modemsetup\13
input 10 OK\n

# Dial phone number
display \n"Dialing QNSnet:"\n
%n = 0
repeat
  if %n = %attempts
    display \n"Too many dial attempts."\n
    abort
  end
  display "Trying "$ratea" number..."\n
  output "ATDT"
  if %callwait
    output "*70"
  end
  output $numbera\n
  %ok = [input 60 CONNECT]
  if ! %ok
    output "ATH0"\n
    input 10 OK\n
    display "Trying "$rateb" number..."\n
    output "ATDT"
    if %callwait
      output "*70"
    end
    output $numberb\n
    %ok = [input 60 CONNECT]
    if ! %ok
      output "ATH0"\n
      input 10 OK\n
    end
  end
  %n = %n + 1
until %ok

display \n
display "Connected.  Attempting to log in..."\n

if ! [input 15 annex:]
  display "Expected but did not receive 'annex:'."\n
  abort
end

output "ppp"\n

if ! [input 15 Username:]
  display "Expected but did not receive 'Username:'."\n
  abort
end

output $username\n

if ! [input 15 Password:]
  display "Expected but did not receive 'Password:'."\n
  abort
end

output $password\n

display \n 
display Login successful.

# Script ends here and PPP negotiation begins. 



-----------login288.cmd--------CUT-------------------------------------

# Trumpet Winsock login script for QNSnet clients.
# For more information or technical support, please contact:
#       Questar Network Services
#       voice: 405/848-3228
#         fax: 405/843-9434
#        data: 405/843-9395  (300-14,400 bps)   ** login as 'guest',
#        data: 405/843-4857  (2400-28,800 bps)  ** password 'guest'.
#       email: info@qns.com
#
# Author: Christopher Painter-Wakefield (cpwakfld@qns.com)
# Created: 4/19/95
# Revision notes:

# ************* Configuration Information **************

# If you have call waiting, change the zero on the following
# line to a 1.  This will cause Trumpet to send a "*70" in
# front of your phone number to disable call waiting; otherwise
# an incoming call will confuse your modem and disconnect you.
%callwait = 0

# Add any custom modem setup commands to this string.
$modemsetup = "&C1"

# Edit maxbps if you upgrade to a faster modem.
# maxbps: 0 = 14.4, 1 = 28.8
%maxbps = 1

# If QNS phone numbers ever change, edit the phone numbers here.
$n144 = "8439395"
$n288 = "8434857"

$version_t = "QNSnet login script for Trumpet Winsock 2.0b"
$version_s = "Script version 1.0 (4/19/95)"

echo on

# These blocks will cause Trumpet to ask you for your 
# username and password one time only, and save them in your
# trumpwsk.ini file (your password will be encrypted).
if ![load $username]
  if [username "Enter your QNS login username:"]
    save $username
  else
    display \n"Sorry, cannot continue without a username!"\n
    abort
  end
end

if ![load $password]
  if [password "Enter your QNS login password:"]
    save $password
  else
    display \n"Sorry, cannot continue without a password!"\n
    abort
  end
end

if %maxbps
  $numbera = $n288
  $numberb = $n144
else
  $numbera = $n144
  $numberb = $n288
end

if %maxbps
  $ratea = "2400 - 28.8"
  $rateb = "300 - 14.4"
else
  $ratea = "300 - 14.4"
  $rateb = "2400 - 28.8"
end

# ************ Login *************
display \n$version_t\n
display $version_s\n\n

%attempts = 5

# Initialize modem
output "ATZ"\13
if ! [input 10 OK\n]
  display \n"Modem is not responding!"\n
  abort
end

# Setup our modem
output "AT"$modemsetup\13
input 10 OK\n

# Dial phone number
display \n"Dialing QNSnet:"\n
%n = 0
repeat
  if %n = %attempts
    display \n"Too many dial attempts."\n
    abort
  end
  display "Trying "$ratea" number..."\n
  output "ATDT"
  if %callwait
    output "*70"
  end
  output $numbera\n
  %ok = [input 60 CONNECT]
  if ! %ok
    output "ATH0"\n
    input 10 OK\n
    display "Trying "$rateb" number..."\n
    output "ATDT"
    if %callwait
      output "*70"
    end
    output $numberb\n
    %ok = [input 60 CONNECT]
    if ! %ok
      output "ATH0"\n
      input 10 OK\n
    end
  end
  %n = %n + 1
until %ok

display \n
display "Connected.  Attempting to log in..."\n

if ! [input 15 annex:]
  display "Expected but did not receive 'annex:'."\n
  abort
end

output "ppp"\n

if ! [input 15 Username:]
  display "Expected but did not receive 'Username:'."\n
  abort
end

output $username\n

if ! [input 15 Password:]
  display "Expected but did not receive 'Password:'."\n
  abort
end

output $password\n

display \n 
display Login successful.

# Script ends here and PPP negotiation begins. 